Skip to main content
`Ctrl`+`K`

# STFilterSetType

Sets the method to be used to build the polynomial filter.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterSetType(ST st,STFilterType type)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- type - the type of filter

## Options Database Key

- -st_filter_type <type> - set the type of filter

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterGetType()`

## Level

intermediate

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterSetType_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages